#!/usr/bin/env node
const chokidar = require('chokidar');
const WebSocketServer = require('ws');

const jsDir = process.cwd().replace('vue', 'webroot') + '/apps/js';
const watcher = chokidar.watch(jsDir, { persistent: true });

const wss = new WebSocketServer.Server({ port: 7777 })

wss.on("connection", ws => {
    console.log('Client connected')
    function doReload() {
        console.log(`${new Date().toLocaleString()}: files changed`);
        ws.send('reload');
    }
    
    watcher
        .on('add', doReload)
        .on('change', doReload)
        .on('unlink', doReload);

    ws.on("close", () => {
        console.log('Client disconnected.')
    });        
});
console.log("WebSocket server is running on port 7777.");
console.log('Waiting for client connection, please open your page in the browser now, if opened, reload it.');
